<?php
define("debug", 0);
//------------------------- Refal-PHP -------------------------
//  rphplib.php
//    PHP library of Refal-PHP system
//
//  Author: Leonid Belous (belous@ilt.kharkov.ua) 
//
//  Date: 01.12.2002
//-------------------------------------------------------------

$ws = "ws_rphp_tmp\\";
Error_Reporting(1+2+4);
define("DBName", "refal");
define("HostName","localhost");
define("UserName","test");
define("Password","");

// write the var value $value to exchange buffer with name $name
//   for example write_var ("\$var", $var)

function write_var ($name, $value) {

  global $ws;
  if (debug>0) { 
    echo "write_var, name=/".$name."/ value=/".$value."/\n"; 
    echo "-------------------\n";
  }  
  $fn = $ws.$name; 
  $fd = fopen ($fn, "wb"); 
  fwrite ($fd, $value); 
  fclose ($fd); 
}
//-------------------------------------------------------------
// read the var value from file $arg_1

function read_var ($arg_1) {

  global $ws;
  if (debug>0) { 
    echo "function read_var, arg_1=/".$arg_1."/\n";
    echo "-------------------\n";
  }
  $fn = $ws.$arg_1; 
  $fd = fopen ($fn, "rb"); 
  $contents = fread ($fd, filesize ($fn)); 
  fclose ($fd); 
  return $contents;
}
//-------------------------------------------------------------
// connect to mysql server

function db_open () {

  mysql_connect(HostName,UserName,Password) or die("Connection failed");
  if (debug>0) {
    echo "Function: db_open\n";
    echo "HostName=/".Hostname."/\n";
    echo "HostName=/".UserName."/\n";
    echo "HostName=/".Password."/\n";
    echo "-------------------\n";
  }
}
//-------------------------------------------------------------
// create a table

function db_create_table ($table, $structure) {

  mysql(DBName,"create table $table ($structure)");
// or die("Could not create $table or it is already created");
  if (debug>0) {
    echo "Function: db_create_table\n";
    echo "table=/".$table."/\n";
    echo "structure=/".$structure."/\n";
    echo "-------------------\n";
  }
}
//-------------------------------------------------------------
// add the $record to $table 

function db_write ($table, $fields, $values) {

  if (debug>0) {
    echo "Function: db_write\n";
    echo "table=/".$table."/\n";    
    echo "fields=/".$fields."/\n";  
    echo "values=/".$values."/\n";  
    echo "-------------------\n";
  }
  mysql(DBName,"insert into $table($fields) values( $values )")
    or die("Could not insert data into $table");

}   
//-------------------------------------------------------------
// output all records from the $table to file $all_base

function db_read_field ($table, $field, $all_base) {

  global $ws;
  $r=mysql(DBName,"select * from $table") or die("Could not read field $field");
  if (debug>0) {
    echo "Function: db_read_field\n";
    echo "table=/".$table."/\n";    
    echo "field=/".$field."/\n";  
    echo "all_base=/".$all_base."/\n";
    echo "-------------------\n";
  }

  $fn = $ws.$all_base; 
  $fd = fopen ($fn, "wb"); 
  for($i=0; $i<mysql_numrows($r); $i++)
    { $f=mysql_fetch_array($r);
      fwrite ($fd, $f[ $field ]."\n"); 
    }
  fclose ($fd); 
}
//-------------------------------------------------------------
// output all records from the $table to file $all_base

function db_read_all ($table, $all_base) {

  global $ws;
  if (debug>0) {
    echo "Function: db_read_all\n";
    echo "table=/".$table."/\n";    
    echo "all_base=/".$all_base."/\n";  
    echo "-------------------\n";
  }
  $fn = $ws.$all_base; 
  $fd = fopen ($fn, "wb"); 
  
  /* SQL request */
  $query = "SELECT * FROM $table";
  $result = mysql(DBName,$query) or die("Query failed");
    
  // writting all rows of data base in HTML table format  
  fwrite ($fd, "<table>\n"); 
  while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
    fwrite ($fd, "<tr>\n"); 
    foreach ($row as $col_value) {
      fwrite ($fd, "\t<td>$col_value</td>\n");
    }
    fwrite ($fd, "</tr>\n");
  }
  fwrite ($fd, "</table>\n");
  fclose ($fd); 
}
//-------------------------------------------------------------

?>